﻿namespace TestProject;

/// <summary>
/// 프로그램
/// </summary>
class Program
{
    //////////////////////////////////////////////////////////////////////////////////////////////////// Method
    ////////////////////////////////////////////////////////////////////////////////////////// Static
    //////////////////////////////////////////////////////////////////////////////// Private

    #region 임의 MAC 주소 구하기 - GetRandomMACAddress()

    /// <summary>
    /// 임의 MAC 주소 구하기
    /// </summary>
    /// <returns>임의 MAC 주소</returns>
    private static string GetRandomMACAddress()
    {
        Random random = new Random(DateTime.Now.Millisecond);

        byte[] byteArray = new byte[6];

        random.NextBytes(byteArray);

        byteArray[0] &= 0b11111110;
        byteArray[0] |= 0b00000010;

        string macAddress = string.Concat(byteArray.Select(x => string.Format("-{0}", x.ToString("X2"))).ToArray());

        return macAddress.TrimStart('-');
    }

    #endregion
    #region 프로그램 시작하기 - Main()

    /// <summary>
    /// 프로그램 시작하기
    /// </summary>
    private static void Main()
    {
        string macAddress = GetRandomMACAddress();

        Console.WriteLine(macAddress);
    }

    #endregion
}